+91 9059646038; +91 8328362632

Progecad version 13.0.16.21 released

progecad jytra advantages

We are glad to inform that we have released the new version of ProgeCAD 2013 Professional India. Following is a brief list of enhancements in this release:

Fixed starting color of hatch taking active one
Added grips to entities selected via VBA.ActiveSelectionSet
Fixed command after VBA.InsertBlock
Fixed display of plot style in layer dialog
Updated Amyuni PDF Converter from version 4.5.3.5 to version 4.5.3.7
Localized some tooltips in hatch dialog
Implemented SetView function in VBA
Fixed Import and Export of DXF from VBA
Fixed VBA CreateColor parameter now uses RGB value
Fixed crash detaching not found xref
Fixed message during RECOVERYMANAGER command that stops load of some drawings
Removed progress bar from splash screen to avoid deadlock during startup
Added lock to avoid update of drawing during IRX load
Fixed problem on WBLOCK dialog selecting file name
Added check on MIRROR command to avoid regen if only one entity is affected
Fixed conversion problem in property dialog
Fixed .bak creation using only ISAVEMAK variable, removed MAKEBAK variable
Fixed icdbLoadMlineStyleFile to load linetypes used by mln file
Implemented VBA.PurgeAll method
Fixed icGetColorDialog to get also RGB and colorBook colors
Fixed Import and Export of DXF from VBA
Fixed an error on EasyArch dcl
Fixed VBA Export function to export DXF files
Modified the Sources sentences for PLINE command
Fixed problem on icGetLinetypeDialog api
Fixed collinear walls in EasyArch
Fixed print area including borders
Fixed perspective view render and render with antialias
Enabled print transparecy images
Fixed helpstring on status bar of flyout buttons
Fixed “Fractional type” property for dimensions in property dialog
Fixed default value for REGENMODEGLOBAL to 0 to disable popup balloon during zoom
Restored “Select by properties menu” to call Filter option and added “Quick select” to call QSelect
Fixed localization of QSELECT command
Fixed right click context menu with a number of selected entities > of GRIPOBJLIMIT
Fixed RECOVERYMODE variable setting
Fixed creation of new UCS from VBA
Added old VBA.Workspace events
Fixed placement of docked toolbars imported from MNU
Fixed position of imported (from MNU) floating toolbars
Fixed EXTRUDE command. Fixed Extruded entities position and fixed region extrusion.
Fixed property palette alignment point for TEXT and ATTRIBUTE definition
Fixed mesh menus
Fixed some issues that could cause exceptions
Fixed QDIM with NWUCS
Fixed intersection snap between LINEs and MLINEs
Fixed crash selecting center osnap on some cylindric 3d solids
Fixed VBA SelectOnScreen to highlight selected entities, disable right click menu, command line message and cursor shape
Fixed PICKADD checkbox in options dialog
Fixed creation of a block with many entities from VBA
implemented VBA ApplyHatch method
Added redraw in Layer palette to force redraw of drawing after layer change
Alternate Font is not used for missing truetype fonts.
Fixed NEAR esnap when PARALLEL is active
Added Multileader,Image,Table and Multiline to QSELECT dialog
Fixed hatch dialog with dimension
Fixed hatch dialog and boundary dialog height
Fixed a problem with TRIM and rectangle selection set
Fixed VB GetObject taking an instance created using a previous CreateObject
Added ObjectModified, ObjectAdded, ObjectErased events to VBA Document
Fixed the dimensions of the imported Google Earth images
Removed control over the file name for the FONTALT into Options Dialog
Changed default FONTALT variable, from ic-simplex.shx to simplex.shx
Added TrueColor property to improve compatibility with Autocad
Added few properties and methods to VBA Document object
Implemented new VL, VLA and VLAX functions:
vlax-get-acad-object, vla-get-activedocument, vla-get-modelspace, vlax-get-property,
vlax-put-property, vla-get-count, vla-item, vlax-vla-object->ename, vlax-ename->vla-object,
vlax-curve-getpointatdist, vlax-sevice-print, vl-vbaload, vl-vbarun, vl-prin1-to-string,
vla-get-Height, vla-get-WindowState, vla-put-Height, vla-put-Lock, vla-put-Width,
vla-put-WindowState, vlax-Release-Object, vlax-safearray->list, vlax-variant-value,
vlax-Create-Object, vlax-get-or-create-object, vlax-getinterfaceobject, vla-delete,
vla-get-registeredapplications, vla-get-utility, vlax-curve-getarea, vlax-curve-getclosestpointto,
vlax-curve-getclosestpointtoprojection, vlax-curve-getdistatparam, vlax-curve-getdistatpoint,
vlax-curve-getendparam, vlax-curve-getendpoint, vlax-curve-getfirstderiv, vlax-curve-getparamatdist,
vlax-curve-getparamatpoint, vlax-curve-getpointatparam, vlax-curve-getsecondderiv,
vlax-curve-getstartparam, vlax-curve-getstartpoint, vlax-curve-isclosed, vlax-curve-isperiodic,
vlax-curve-isplanar, VlaxInvokeMethodProxy
Fixed crash when JPG printer is not installed
Fixed print of scaled image
VBA.AddVertex doesn’t work
Fixed QSELECT with only one command active
VBA :Fixed creation of hatches in an active viewport of a layout
Added QSELECT command to select options in command line
Fixed QSELECT dialog selection of circle by radius
Added Transparency property to QSELECT dialog
Fixed QSELECT dialog using some operators searching default DXF values (color, lineweight, linetype, linetype scale, thickness)
removed standard selection set menu items from CHAMFER and FILLET commands
Added mechanism to reduce memory footprint changing layout, it starts when REDUCELAYOUTMEMORY variable is ON and when used memory > 2GB or available memory is less than 70%
Fixed the bug with wrong image dimension ration during the ImportGEImage command with the Google Earth images
Fixed the bug with foreign command line keywords in IMAGECLIP command
fixed the bug with the activation of “Apply” button in text style dialog
Added operator combo to QSELECT dialog and reworked layout
Fixed display of layout tabs opening drawings
Fixed DRAWINGTAB command to hide/restore drawing tab
Added UPDATEFIELD command to force update of field in texts
Fixed FIELDEVAL variable
Fixed a couple of minor Express bugs
Fixed some Express menu items
Fixed Zoom extension command and fixing UCS icon problem
Fixed recovery manager to manage also saved file by emergency crash system
Fixed crash changing layout
Fixed Emergency save output folder
Added some check on PDF2CAD destination, now progeCAD checks if the file already exists, right extension specified and output directory exist and has rights to write in
Changed CIRCLE TanTanTan menu command
Reverted the NEW command to ask always for a template file
Fixed color of icons in menu
Fixed hatch island detection (problem generated during last merge with ITC source)
Added “remove boundaries” button in hatch dialog
Added message box to allow to user to show created PDF or JPG after print
Toolbars can be lost (not restored) on restart of progeCAD
Cannot select the correct grip of 3D line
Entity snap glyphs are not displayed if launch progeCAD and create or open a drawing
[CRASH] Fixed crash due to arithmetic overflow
When ORTHO is ON you can not draw ortho lines
Crash by selecting the line
OLE background color: added OLEBKGCOLOR and USEOLEBKGCOLOR
progeCAD hangs when open a xref from progeCAD Explorer
Rulesurf doesn’t work for closed entities
LENGTHEN command for polylines changes entity Layer to current
progeCAD freeze during the selection of 3d object in the attached drawing
INSERT is not working correctly when ORTHO is enabled and insertion point is specified on screen
[CRASH] Fixed many crashes
Missing dialog title and possible data corruption
Grip points of a new drawing are displayed in the previous drawing
SDS command calls from LISP leave CMDACTIVE in wrong state
Solid with applied material is invisible
Autosave improvements
[Crash] Crash in OpenGL on drawing open/close
Slow response to select the displacement for moving objects while a command(copy, …) is running
Improved support for naming of bitmaps in MNU files
If cancel insertion of a block, progeCAD makes UNDO
Offset error of 2Dpolyline
IcadDoc.lsp is not loaded if progeCAD is started using COM
Additional windows (views) cannot be focused / used
Polyline linetype is generated with different scale in progeCAD
[Crash] opening program
XML Toolbar with resource dll cannot show buttons
ssget works wrong when filter contains regapp
No line feed in setvar prompt
PLINEGEN variable doesn’t affect linetype generation for polylines
Prompt items are not correct in the -STYLE command
Entity disappears when it’s layer color is changed
Wrong stretch of an arc
3DSolid visualization issue
GRIPS=0 forces PICKFIRST on
An application must register with Default Programs feature to be offered as the default program in Windows Vista and later.
LISP (ssget) with filters prints wrong number of entities
DIMSCALE value is not applied to DIMCENTER
The hatch disappears after copying or moving it
-DIMSTYLE command doesn’t list dimension styles alphabetically
-STYLE command doesn’t list styles alphabetically
Stretch using grips and esnaps does not work right along the Z axis
COPYEDATA,MOVEEDATA,DELEDATA allow wildcard for source application id
Wrong visualization in layout (out of layout window and rotated)
Result of Perpendicular Osnap depends on Zoom Window
getcorner cannot return keyword like getpoint
Layers names are not in alphabetical order with -LAYER command
Error extruding the polyline in this drawing
EXPLORER delete linetype must not set layer’s ltype to Bylayer
Inconsistency in ‘lisp’ local variables
sds_dispobjs returns 2 vertices chains for PFACEs
Select all entities does not include entities from the viewports different than the current viewport
[Crash] Crash during panning in locked viewports
EXPLODE issue on REGION
SDS initialization/uninitialization RQ request codes usage for applications is wrong!!!
SDS callback deadlock
DIMRAD and DIMDIA silently exits if no entity picked
Entity snaps don’t work for a PlaneSurface
[Crash] Crashed when switching to Layout2 from Layout1 after dimensions creation
[Crash] 3D ORBIT
[Crash] Explorer dwg double click
[Crash] Attempting to open a new drawing using an existing template
Text dimension in edit text dialog (single line text)
Cannot to snap to grip points during grips dragging
ZOOM Dynamic does not work properly in NWUCS
(sslength) returns RTREAL
Command REVOLVE does not work when object started from revolution axis
Improved performance in canUndo() function
Critical issue during PC3 creation with plotter HP
Attempt to use HATCH leads to infinite loop for attached drawing
Insert HATCH problem.
WIPEOUT entites printed as black rectangles when named print style is used in attached drawing
Grip editing dimensions should be disallowed when UCS isn’t parallel to ECS
Different direction of extrusion using polylines to made rectangles
MTEXT editor to have ability to clear formatting
Unable to load a .mnu file from path with dot symbol
Transparent zoom window breaks getpoint jig dragging line
[Win8]“Could not start print job” message displayed for printers configured on port FILE:
Incorrect tangent snapping to spline
PRIMARY UNITS SCALE for dimensions, doesn’t work in the layout
Do the alignment. Then, a Z coordinate is changed.
Right click pop-up menu option in drawing window to have recent commands
Fillets don’t always work for solids using coordinates not in WCS
Cannot save changes of REFEDIT session by REFCLOSE for test drawing
Entity is not redrawn when changed via Entity Properties toolbar
[Crash] Crash during changing color from Entity Properties toolbar
UNDO option inside Selection state of commands is extremely slow for big number of entities
LISP (initget) and sds_initget are not interchangeable
Transparent zoom window breaks getpoint jig dragging line
3dSolid is always rendered in grey color (entity material is ignored)
Unable to define a box with Z negative value
Crash on open after roundtrip in some scripts on Windows 8
CHSPACE creates wrong entities when there are twisted viewports in Layout
The icaddoc.lsp doesn’t executes propriety then opening few drawing at once
Improved performance of the RTPAN command
Entity tracking is not working in UCS
Member needs to know when 3DObit is active or not.
[Crash] Crash on exit in scripts which uses PDF underlays.
SDS_CBVARCHANGE notification is not called in all circumstances
Wrong area calculation for HATCH entities with holes (hole area is added, instead of being subtracted from the total)
“Pointer defaults to crosshairs” should be enabled by default
Code for handling pface meshes is throwing with invalid index error
PEDIT is not working correctly for spline fit and curve fit pline
FREEZE / THAW switching is too slow
LAYOFF error
Apparent intersection snap leaves tracking points
Wrong behavior of Tangent/Perp/Quad snap in UCS
Quadrant snap doesn’t work correctly in UCS
during RTROT the mouse cursor should change to show appropriate orbit mode/constraints
Undo issue-One of all entities ALWAYS cannot be deleted After Delete & Undo.
Icon toolbar customization, confused
Review AllCOM failures and fix bugs or scripts
Some dimensions are updated incorrectly during COPY and EXPLODE of the block
Extension snap works incorrectly in UCS for linear entities
progeCAD doesn’t support Multiline Tooltips for Snaps
Image manager – image preview is black after an image is erased from the drawing
Show snap setting on cursor is not working right
Hatch vs Dimensions issue
progeCAD uses > 1.6 GB while plot preview and pdf is missing
Even if “Pointer default to crosshairs” is turning off, Crosshair is seen
Cursor is reset to crosshair if display options dialog is loaded during active command
Block dimensions are moved in wrong places
Serious problem with DIMRADIUS / DIMCENTER on blocks
Pan command does not change cursor type
Object tracking does not work from lisp routine
Zoom Dynamic has several problems
Second crosshair appears and freezes after switching drawings by Ctrl+Tab
Resizing images by grip points works incorrectly
Missing SDS_CBDOCCHG notification when closing a drawing.
ZOOM command options are incoherent comparing POP UP and Command Prompt
Mouseover (SELECTIONPREVIEW) highlighting makes cursor very slow and jumpy when zoomed in on image in attached drawing
Extension snap is not working for elliptical arc in WCS and for all entities in UCS
Icad can’t extrude region on a closed polyline
OLE2FRAME disappears after redefining block
Grammatical mistake in the prompt while redefining block
OSNAP points are not implemented for SubDMesh entities
No linetypes are loaded by -LINETYPE command if .lin file contains some invalid data
-GROUP command creates only even unnamed groups
ZOOMWHEEL sysvar is treated as a boolean, instead of 0/1 value insinuating it turns zoomwheel on/off.
Parallel snap doesn’t work if enable Parallel and Extension snaps
“Select all” button needs to be added to the Entity Snap Settings dialog
When app is loaded via Icad.sds the request msg SDS_RQXLOAD is fired before progeCAD is initialized
Images on OFF layers affect performace
progeCAD always uses the same CPU on multi-core systems causing performance issues when multiple sessions are run on the same machine
Cursor slows down with “selectionpreview”
Russian Linetypes with ” in definition do not load
Custom OSNAPs don’t work
ssget, viewports and layout
Sometimes AUTOSAVE doesn’t work when ICAD window is inactive
Linetypes loading is stopped as soon as linetype with unknown font is met in .lin file
ETRACK: Arc & Elliptical arc behave badly for _EXT osnap in non-world-UCS
The print preview does not show all the entities in the layout
Incorrect PERPENDICULAR snap to arc segments of PLINE in NWUCS
A new anonymous block can not be inserted if we tried before to add another anonymous block two times
[VBA] I can not create the DIMSTYLE.
MTEXT editor renders text very different from the drawing
Cannot enable more then one snap using the command line while a command is active
Disappearing blocks on large coordinates
JPEG image does not open
Bigfont load problem
Text string is not printed correctly in some cases
PURGE does not complete initialization on attached drawing
getPoint without base point is not working when ORTHO is enabled
ARC definition bug
progeCAD hangs if explore groups in a drawing with a huge number of groups
progeCAD hangs if display all groups in the Group dialog in a drawing with a huge number of groups
Sorting groups by name works very slow…
REVOLVE and UCS fail
Fixed occasional crash occurring during printing
Hatches are shown with low density in progeCAD
Deadlock if callback is called at the same time when COM Job is sent to Main Engine, which is waiting for Main thread
VIEWCTL command doesn’t works in the LAYOUT VIEWPORTS
If you execute an INSERT and press RMB then RTCAN has to be returned
Attempt to change image path in the Explorer leads to crash
IMAGE path updating functionality is not working
ICAD is deadlocked when sds_draggen callback performs any operation with dialog created by SDS app
DROP-DOWN COLOR LIST issue
Some entities in NWUCS are not being handled properly
Incorrect prompt if hatch area not fully visible in window
Crash in INSERT command
MIRRTEXT = OFF, Horizontal problem
PURGE command doesn’t delete UNNAMED GROUPS
Wrong ETRACK behavior
progeCAD crashes during changing entities color
Cursor freezes when trying PERPENDICULAR snap to spline in NWUCS
Strecth by grips error of hatch entity
Command “Convert to Mesh”(3DCONVERT) does not work
Aligned dimension shows incorrect text for MSPACE entities in PSPACE
Fillet is created in wrong UCS
Setting zero scale for viewport causes crash
Periodical crash in Array command
LISP variable types are being promoted long to real and short to long
Deleted entity can not be added to the selection set
Fixed JUSTIFICATION > FIT error